FastConnectProviderServiceKey

class oci.core.models.FastConnectProviderServiceKey(**kwargs)

Bases: object

A provider service key and its details. A provider service key is an identifier for a provider’s virtual circuit.

Methods:

__init__(**kwargs)

Initializes a new FastConnectProviderServiceKey object with values from keyword arguments.

Attributes:

bandwidth_shape_name

Gets the bandwidth_shape_name of this FastConnectProviderServiceKey.

name

[Required] Gets the name of this FastConnectProviderServiceKey.

peering_location

Gets the peering_location of this FastConnectProviderServiceKey.

__init__(**kwargs)

Initializes a new FastConnectProviderServiceKey object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • name (str) – The value to assign to the name property of this FastConnectProviderServiceKey.

  • bandwidth_shape_name (str) – The value to assign to the bandwidth_shape_name property of this FastConnectProviderServiceKey.

  • peering_location (str) – The value to assign to the peering_location property of this FastConnectProviderServiceKey.

property bandwidth_shape_name

Gets the bandwidth_shape_name of this FastConnectProviderServiceKey. The provisioned data rate of the connection. To get a list of the available bandwidth levels (that is, shapes), see list_fast_connect_provider_virtual_circuit_bandwidth_shapes().

Example: 10 Gbps

Returns

The bandwidth_shape_name of this FastConnectProviderServiceKey.

Return type

str

property name

[Required] Gets the name of this FastConnectProviderServiceKey. The service key that the provider gives you when you set up a virtual circuit connection from the provider to Oracle Cloud Infrastructure. Use this value as the providerServiceKeyName query parameter for get_fast_connect_provider_service_key().

Returns

The name of this FastConnectProviderServiceKey.

Return type

str

property peering_location

Gets the peering_location of this FastConnectProviderServiceKey. The provider’s peering location.

Returns

The peering_location of this FastConnectProviderServiceKey.

Return type

str